Package: grails.compiler.ast

## [Java] Interface AllArtefactClassInjector

- grails.compiler.ast.ClassInjector

- All Superinterfaces:
    ClassInjector

      public interface AllArtefactClassInjector
      extends ClassInjector

  Extended marker interface that indicates this ClassInjector applies to all types of artefacts (but not all classes).

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface ClassInjector` | `PRIVATE_STATIC_MODIFIER`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ClassInjector` | `performInjection, performInjection, performInjectionOnAnnotatedClass, shouldInject`